Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class Utils

    java.lang.Object
      SEdit.Utils

    public class Utils

extends java.lang.Object

Constructor Summary
`Utils()`

Method Summary
`static CommandAction` | `addCommand(Command c, javax.swing.JMenu m, javax.swing.JToolBar t, java.lang.String name, java.lang.String shortdesc, java.lang.String icon, int key)`
`static void` | `addMenuItem(java.awt.event.ActionListener al, javax.swing.JMenu m, java.lang.String label, java.lang.String command, int key)`
`static void` | `addMenuItem(java.awt.event.ActionListener al, javax.swing.JMenu m, java.lang.String label, java.lang.String command, int key, int ckey)`
`static void` | `addPopupItems(javax.swing.JPopupMenu p, java.util.Hashtable elems, java.awt.event.ActionListener al)` Add the content of a hashtable to an existing popup-menu
`static void` | `addRadioButtonMenuItem(java.awt.event.ActionListener al, javax.swing.JMenu m, java.lang.String label, java.lang.String command, boolean b, javax.swing.ButtonGroup g)`
`static void` | `debug(java.lang.Object s)`
`static void` | `debug(java.lang.Object o, java.lang.Object s)`
`static java.lang.String` | `getExtension(java.io.File f)`
`static java.awt.Container` | `getFrameParent(java.awt.Container _c)`
`static java.awt.Frame` | `getRealFrameParent(java.awt.Component c)` get the Frame that surrounds a component.
`static void` | `log(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### log

    public static void log(java.lang.String s)

### debug

    public static void debug(java.lang.Object s)

### debug

    public static void debug(java.lang.Object o,
                             java.lang.Object s)

### addCommand

    public static CommandAction addCommand(Command c,
                                           javax.swing.JMenu m,
                                           javax.swing.JToolBar t,
                                           java.lang.String name,
                                           java.lang.String shortdesc,
                                           java.lang.String icon,
                                           int key)

### getExtension

    public static java.lang.String getExtension(java.io.File f)

### getRealFrameParent

    public static java.awt.Frame getRealFrameParent(java.awt.Component c)

  get the Frame that surrounds a component. May be used for buildings dialogs Ol: JF import

### getFrameParent

    public static java.awt.Container getFrameParent(java.awt.Container _c)

### addMenuItem

    public static void addMenuItem(java.awt.event.ActionListener al,
                                   javax.swing.JMenu m,
                                   java.lang.String label,
                                   java.lang.String command,
                                   int key)

### addMenuItem

    public static void addMenuItem(java.awt.event.ActionListener al,
                                   javax.swing.JMenu m,
                                   java.lang.String label,
                                   java.lang.String command,
                                   int key,
                                   int ckey)

### addRadioButtonMenuItem

    public static void addRadioButtonMenuItem(java.awt.event.ActionListener al,
                                              javax.swing.JMenu m,
                                              java.lang.String label,
                                              java.lang.String command,
                                              boolean b,
                                              javax.swing.ButtonGroup g)

### addPopupItems

    public static void addPopupItems(javax.swing.JPopupMenu p,
                                     java.util.Hashtable elems,
                                     java.awt.event.ActionListener al)

  Add the content of a hashtable to an existing popup-menu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.